Update an existing Creative.

Update an existing creative. Only 'title', 'custom_key_values', 'enabling_state' could be updated. Exceptionally 'RICH_CUSTOM_HTML' could be updated.

Path Params
string
required

The ID of the Creative to be updated.

Body Params

If the Creative is currently in DRAFT state, the Mololo AdCloud won't mandate it to have all required data on updates. However, any entered data should still pass their individual validation.

The client can switch the Creative from DRAFT to SUBMITTED by specifying SUBMITTED as the new state value, in which case full validation will be invoked and all required data must have been entered.

No other state values other than DRAFT and SUBMITTED are allowed when the Creative is in DRAFT state. Once the Creative gets out of the DRAFT state, the state value in the update requests will be ignored.

string

Unique identifier of the Creative. Automatically set by server on creation.

string
required

A descriptive name of the Creative.

string
enum
Defaults to UNSPECIFIED

Enumeration of the enabling states with a default UNSPECIFIED state.

Allowed:
advertiser_info
object

AdvertiserInfo contains some basic information about an advertiser. It may be returned to Creative reviewers or other users with other non-advertiser roles to perform their duty without leaking any private advertiser information.

string
enum
Defaults to UNKNOWN_TYPE

Type of the Creative. Only one of the Creative source fields matching the type is allowed to be specified.

  • UNKNOWN_TYPE: This value is not part of the specification.
  • IMAGE: Image Creative. The image Creative source must be specified for this type.
  • VIDEO: Video Creative. The video Creative source must be specified for this type.
  • VAST_VIDEO: Vast video Creative. The vast video Creative source must be specified for this type.
  • NATIVE: Deprecated. v1.5 is the last version supporting this version. Native Creative. The native Creative source must be specified for this type.
  • NATIVE_IMAGE: Native image Creative. The native image Creative source must be specified for this type.
  • NATIVE_VIDEO: Native video Creative. The native video Creative source must be specified for this type.
  • CUSTOM_HTML: (Will be supported soon) Custom HTML Creative. The custom HTML Creative source must be specified for this type.
  • TEMPLATE_HTML: (Will be supported soon) Template HTML Creative. The template HTML Creative source must be specified for this type.
  • RICH_CUSTOM_HTML: The rich custom HTML Creative. The rich custom HTML Creative source must be specified for this type.
  • DYNAMIC_HTML: (Will be supported soon) The dynamic HTML Creative. The dynamic HTML Creative source must be specified for this type.
  • AD_TAG: (Will be supported soon) Third-party ad tag Creative with script-based or vast tag-based ad tag.
string
required

Original Creative filename given by user.

int64

Estimated size of the Creative in bytes.

custom_key_values
object

Custom key/values managed by the Moloco Ads client platform. It's up to the client ads platform to define the schema for the values and their optionality.

The keys are recommended, but not required, to be prefixed with the reversed internet domain of the AdCloud client platform company. For example, keys defined by the client ads platform company "example.com" should have "com.example." as the prefix.

For complex values, JSON payload is recommended.

Moloco doesn't interpret these data in any way for ads serving. Upon serving, the custom key/values in the AdAccount, Campaign, and Creative models will be combined into the serving Creative proto in the order of precedence, with Creative's value having the highest precedence on the same key.

image
object

Image Creative.

The following dimensions are supported for the image ads and the main images of ads with native Creatives:

  • 120x600
  • 160x600
  • 200x200
  • 250x250
  • 300x250
  • 300x600
  • 320x50
  • 320x100
  • 320x480
  • 336x280
  • 375x667
  • 468x60
  • 480x320
  • 600x600
  • 640x100
  • 640x200
  • 667x375
  • 728x90
  • 768x1024
  • 800x417
  • 800x418
  • 1024x768
  • 1200x627
  • 1200x628
  • 1200x667
video
object

Source of video Creative.

vast_video
object

Source of VAST (Video Ad Serving Template) video Creative.

native
object

Source of native Creative.

custom_html
object

(Will be supported soon) Creative source based on custom html.

template_html
object

(Will be supported soon) Creative source based on MRAID template.

rich_custom_html
object

Creative source based on arbitrary HTML. An instance of this is typically used for a playable Creative from AdAccounts. You can create RichCustomHtmlSrc by one of two methods:

  1. Upload FB style html file using CreateAssetUploadSession API(PLAYABLE_AD_SOURCE_TYPE_URL)
  2. Use Creative template third parties: tresensa or spaceback(PLAYABLE_AD_SOURCE_TYPE_TAG).
dynamic_html
object

(Will be supported soon) Dynamic Creative. An instance of this would be used for Creatives to be rendered when the Creative is shown to user, i.e. an impression takes place, unlike bid-time rendering for static images.

string
enum
Defaults to UNKNOWN_CREATIVE_FEATURE_TYPE

CreativeFeatureType.

Allowed:
string

Creator tag to identify who is the resource creator.

jio_support
object
dca_support
object
date-time

Last updated time. Should not modify on the client side.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json